local lush = require('lush')
local hsl = lush.hsl

local colors;

if vim.o.background == "dark" then
    colors = {
        bg = hsl(235, 15, 20).hex,
        fg = hsl(235, 30, 85).hex,
        linebg = hsl(235, 15, 40).hex,
        linefg = hsl(235, 30, 85).hex,
        black = hsl(235, 15, 5).hex,
        normal = hsl(235, 50, 75).hex,
        insert = hsl(130, 50, 75).hex,
        visual = hsl(235, 30, 30).hex,
        replace = hsl(10, 50, 75).hex,
        command = hsl(50, 50, 75).hex,
        gray = hsl(235, 10, 60).hex,
    }
else
    colors = {
        bg = hsl(235, 15, 20).hex,
        fg = hsl(235, 30, 85).hex,
        linebg = hsl(235, 15, 80).hex,
        linefg = hsl(235, 15, 20).hex,
        black = hsl(235, 15, 5).hex,
        normal = hsl(235, 50, 75).hex,
        insert = hsl(130, 50, 75).hex,
        visual = hsl(235, 30, 30).hex,
        replace = hsl(10, 50, 75).hex,
        command = hsl(50, 50, 75).hex,
        gray = hsl(235, 10, 60).hex,
    }
end

return {
    normal = {
        a = { bg = colors.normal, fg = colors.bg },
        b = { bg = colors.black, fg = colors.fg },
        c = { bg = colors.linebg, fg = colors.linefg },
    },
    insert = {
        a = { bg = colors.insert, fg = colors.bg },
        b = { bg = colors.black, fg = colors.fg },
        c = { bg = colors.linebg, fg = colors.linefg },
    },
    visual = {
        a = { bg = colors.visual, fg = colors.fg },
        b = { bg = colors.black, fg = colors.fg },
        c = { bg = colors.linebg, fg = colors.linefg },
    },
    replace = {
        a = { bg = colors.replace, fg = colors.bg },
        b = { bg = colors.black, fg = colors.fg },
        c = { bg = colors.linebg, fg = colors.linefg },
    },
    command = {
        a = { bg = colors.command, fg = colors.bg },
        b = { bg = colors.black, fg = colors.fg },
        c = { bg = colors.linebg, fg = colors.linefg },
    },
    inactive = {
        a = { bg = colors.black, fg = colors.fg },
        b = { bg = colors.black, fg = colors.bg },
        c = { bg = colors.black, fg = colors.linefg },
    },
}
